Page MenuHomePhabricator

release a scap that contains I85a2161 (Remove functionality to talk to conftool)
Closed, ResolvedPublic

Description

Riccardo and I would love a scap in production that includes https://gerrit.wikimedia.org/r/#/c/mediawiki/tools/scap/+/491412/

Once the first four steps are done on the usual release procedure we're happy to take over and build a deb and deploy.

Event Timeline

CDanis created this task.Jul 3 2019, 8:29 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 3 2019, 8:29 PM
thcipriani triaged this task as Normal priority.Jul 3 2019, 8:32 PM
thcipriani reassigned this task from thcipriani to CDanis.Jul 3 2019, 11:13 PM
thcipriani added a subscriber: thcipriani.

@CDanis I merged in the changes to the release branch and pushed up the debian/3.11.0-1 tag: you should be good to release from the scap side.

CDanis reassigned this task from CDanis to Volans.Jul 3 2019, 11:14 PM

Wow, that was quick, thanks! Riccardo should have time to do the deploy while I'm on vacation 🙃

Mentioned in SAL (#wikimedia-operations) [2019-07-04T09:25:09Z] <volans> uploaded scap_3.11.0-1 to {jessie,stretch,buster}-wikimedia APT - T227225

Mentioned in SAL (#wikimedia-operations) [2019-07-04T11:38:51Z] <volans> upgraded scap to 3.11.0-1 on A:mw-canary - T227225

Mentioned in SAL (#wikimedia-operations) [2019-07-04T12:40:26Z] <volans> upgraded scap to 3.11.0-1 on deploy[12]001 - T227225

Mentioned in SAL (#wikimedia-operations) [2019-07-04T13:05:58Z] <volans> upgraded scap to 3.11.0-1 on A:codfw - T227225

Mentioned in SAL (#wikimedia-operations) [2019-07-04T13:23:50Z] <volans> upgraded scap to 3.11.0-1 on A:eqiad - T227225

Volans added a comment.Jul 4 2019, 1:26 PM

Scap has been rolled out to the fleet, I've tested a scap pull on a mwdebug host and there was a scap sync-file deployment for mediawiki-config (DB stuff).

Volans closed this task as Resolved.Jul 4 2019, 1:26 PM